import * as $dara from '@darabonba/typescript';
import { DescribeCheckWarningsResponseBody } from "./DescribeCheckWarningsResponseBody";
export declare class DescribeCheckWarningsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeCheckWarningsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
